Skip to main content
`Ctrl`+`K`

# ISLocalToGlobalMappingLoad

Loads a local-to-global mapping that has been stored in binary format.

## Synopsis

    #include "petscis.h"
    PetscErrorCode ISLocalToGlobalMappingLoad(ISLocalToGlobalMapping mapping, PetscViewer viewer)

Collective on viewer

## Input Parameters

- mapping - the newly loaded map, this needs to have been created with `ISLocalToGlobalMappingCreate()` or some related function before a call to `ISLocalToGlobalMappingLoad()`

- viewer - binary file viewer, obtained from `PetscViewerBinaryOpen()`

## See Also

Low-level Vector Communication, `PetscViewer`, `ISLocalToGlobalMapping`, `ISLocalToGlobalMappingView()`, `ISLocalToGlobalMappingCreate()`

## Level

intermediate

## Location

src/vec/is/utils/isltog.c

Index of all IS routines
Table of Contents for all manual pages
Index of all manual pages